#ifndef INCLUDE_TIMER_H_
#define INCLUDE_TIMER_H_


#include <chrono>
#include <iostream>

namespace tst
{

class timer
{
private:
    std::chrono::steady_clock::time_point m_start;
public:
    timer()
    {
        m_start = std::chrono::steady_clock::now();
    }

	auto get_ticks()->std::chrono::steady_clock::rep
    {
        std::chrono::steady_clock::duration d = std::chrono::steady_clock::now() - m_start;
        return std::chrono::duration_cast<std::chrono::nanoseconds>(d).count();
    }

	void get_period()
	{
		std::cout << "num : " << std::chrono::steady_clock::period::num;
		std::cout << "  ";
		std::cout << "den : " << std::chrono::steady_clock::period::den;
		std::cout << std::endl;

	}
};

} // namespace tst

#endif // INCLUDE_TIMER_H_
